Get Call History
Retrieves the history of calls made through the Revenueable AI platform with optional filtering and pagination.
GET
/
calling
/
history
cURL
curl --request GET \
--url 'https://prod-api.revenueable.ai/ca/api/v0/calling/history?start_date=2025-09-25T00:00:00%2B05:30&end_date=2025-09-25T23:59:59%2B05:30&limit=50&offset=20&agent_id=830f767a-397e-4b39-82ff-235cd344e2f9&status=completed&bulk_list_id=123e4567-e89b-12d3-a456-426614174000' \
--header 'X-API-KEY: <x-api-key>'import requests
url = "https://prod-api.revenueable.ai/ca/api/v0/calling/history"
headers = {"X-API-KEY": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<x-api-key>'}};
fetch('https://prod-api.revenueable.ai/ca/api/v0/calling/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"calls": [
{
"id": "34a29572-9e09-453d-bcb8-90cdbb157c79",
"to_number": "+918882876897",
"name": "abhishek",
"status": "completed",
"transcript": "[{\"bot\": \"Hi there! I'm Marcel from sdfasd. We're conducting a brief survey about asdfasdf to improve our services. Your feedback\"}, {\"bot\": \"is valuable to us.\"}]",
"audio_recording": "https://aps1.media.plivo.com/v1/Account/MAZJNLNJIYNWMZYZHIMM/Recording/e99c9f6b-1d1e-4290-857d-1524d8204aad.mp3",
"created_at": "2025-11-24T11:37:43.678043+00:00",
"agent": {
"id": "5d7cdc09-6d51-4468-93c6-a0b8e5ad3f22",
"agent_name": "test after prod",
"agent_version_id": "387bd8f1-5748-4006-b7fe-6a6455e9d45d",
"orchestration_mode": "single_node",
"version": {
"version_id": "387bd8f1-5748-4006-b7fe-6a6455e9d45d",
"version_slug": "v1"
}
},
"call_duration": 7.98,
"call_attempt_time": "2025-11-24T11:37:48.549486+00:00",
"call_cost": 0.2,
"call_type": "outbound",
"inbound_from": null,
"credits_processed": true,
"from_numbers": [
"+912269976804"
],
"voicemail_detected": false
}
],
"limit": 10,
"offset": 0,
"count": 1,
"total": 1
}{
"error": {
"code": "invalid_parameter",
"message": "Invalid date format for start_date."
}
}{
"error": {
"code": "401 Unauthorized",
"message": "Invalid credentials"
}
}{
"error": {
"code": "500 Internal Server Error",
"message": "An unexpected error occurred on the server."
}
}Headers
(Required) Your Revenueable AI API key.
Example:
"7251cb4b-3373-43a4-844c-b27a1d45e0c9"
Query Parameters
Filter calls starting from this date (ISO 8601 format with timezone).
Example:
"2025-09-25T00:00:00+05:30"
Filter calls up to this date (ISO 8601 format with timezone).
Example:
"2025-09-25T23:59:59+05:30"
Maximum number of calls to return (default: 10).
Example:
50
Number of calls to skip (default: 0).
Example:
20
Filter calls by assistant ID.
Example:
"830f767a-397e-4b39-82ff-235cd344e2f9"
Filter calls by status.
Example:
"completed"
Filter calls by bulk list ID.
Example:
"123e4567-e89b-12d3-a456-426614174000"
⌘I
cURL
